| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
LibrarySettings Class Reference
eProsima Fast DDS API Reference » DDS Public API

Class LibraySettings, used by the user to define the Fast DDS library behaviour. More...

`#include <LibrarySettings.hpp>`

## Public Member Functions

| LibrarySettings ()
virtual | ~LibrarySettings ()
bool | operator== (const LibrarySettings &b) const

## Public Attributes

IntraprocessDeliveryType | intraprocess_delivery

## Detailed Description

Class LibraySettings, used by the user to define the Fast DDS library behaviour.

## Constructor & Destructor Documentation

## ◆ LibrarySettings()

LibrarySettings | ( |  | ) |

inline

## ◆ ~LibrarySettings()

virtual ~LibrarySettings | ( |  | ) |

inline virtual

## Member Function Documentation

## ◆ operator==()

bool operator== | ( | const LibrarySettings & | b | ) | const

inline

## Member Data Documentation

## ◆ intraprocess_delivery

IntraprocessDeliveryType intraprocess_delivery

Initial value:
=
INTRAPROCESS_FULL
eprosima::fastdds::INTRAPROCESS_FULL
@ INTRAPROCESS_FULL
Definition LibrarySettings.hpp:30

The documentation for this class was generated from the following file:

- include/fastdds/LibrarySettings.hpp